package soccer.ui.contentassist.antlr.internal; 

import java.io.InputStream;
import org.eclipse.xtext.*;
import org.eclipse.xtext.parser.*;
import org.eclipse.xtext.parser.impl.*;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.eclipse.xtext.parser.antlr.XtextTokenStream.HiddenTokens;
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser;
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.DFA;
import soccer.services.DSLGrammarAccess;



import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class InternalDSLParser extends AbstractInternalContentAssistParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "RULE_ID", "RULE_INT", "RULE_STRING", "RULE_ML_COMMENT", "RULE_SL_COMMENT", "RULE_WS", "RULE_ANY_OTHER", "'Goalkeeper'", "'Defender'", "'Striker'", "'soccer team'", "'{'", "'}'", "'player'", "':'", "';'"
    };
    public static final int RULE_STRING=6;
    public static final int RULE_SL_COMMENT=8;
    public static final int T__19=19;
    public static final int T__15=15;
    public static final int T__16=16;
    public static final int T__17=17;
    public static final int T__18=18;
    public static final int T__11=11;
    public static final int T__12=12;
    public static final int T__13=13;
    public static final int T__14=14;
    public static final int EOF=-1;
    public static final int RULE_ID=4;
    public static final int RULE_WS=9;
    public static final int RULE_ANY_OTHER=10;
    public static final int RULE_INT=5;
    public static final int RULE_ML_COMMENT=7;

    // delegates
    // delegators


        public InternalDSLParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public InternalDSLParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return InternalDSLParser.tokenNames; }
    public String getGrammarFileName() { return "../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g"; }


     
     	private DSLGrammarAccess grammarAccess;
     	
        public void setGrammarAccess(DSLGrammarAccess grammarAccess) {
        	this.grammarAccess = grammarAccess;
        }
        
        @Override
        protected Grammar getGrammar() {
        	return grammarAccess.getGrammar();
        }
        
        @Override
        protected String getValueForTokenName(String tokenName) {
        	return tokenName;
        }




    // $ANTLR start "entryRuleSoccerTeam"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:60:1: entryRuleSoccerTeam : ruleSoccerTeam EOF ;
    public final void entryRuleSoccerTeam() throws RecognitionException {
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:61:1: ( ruleSoccerTeam EOF )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:62:1: ruleSoccerTeam EOF
            {
             before(grammarAccess.getSoccerTeamRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleSoccerTeam_in_entryRuleSoccerTeam61);
            ruleSoccerTeam();

            state._fsp--;

             after(grammarAccess.getSoccerTeamRule()); 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleSoccerTeam68); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "entryRuleSoccerTeam"


    // $ANTLR start "ruleSoccerTeam"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:69:1: ruleSoccerTeam : ( ( rule__SoccerTeam__Group__0 ) ) ;
    public final void ruleSoccerTeam() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:73:2: ( ( ( rule__SoccerTeam__Group__0 ) ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:74:1: ( ( rule__SoccerTeam__Group__0 ) )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:74:1: ( ( rule__SoccerTeam__Group__0 ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:75:1: ( rule__SoccerTeam__Group__0 )
            {
             before(grammarAccess.getSoccerTeamAccess().getGroup()); 
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:76:1: ( rule__SoccerTeam__Group__0 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:76:2: rule__SoccerTeam__Group__0
            {
            pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__Group__0_in_ruleSoccerTeam94);
            rule__SoccerTeam__Group__0();

            state._fsp--;


            }

             after(grammarAccess.getSoccerTeamAccess().getGroup()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "ruleSoccerTeam"


    // $ANTLR start "entryRulePlayer"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:88:1: entryRulePlayer : rulePlayer EOF ;
    public final void entryRulePlayer() throws RecognitionException {
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:89:1: ( rulePlayer EOF )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:90:1: rulePlayer EOF
            {
             before(grammarAccess.getPlayerRule()); 
            pushFollow(FollowSets000.FOLLOW_rulePlayer_in_entryRulePlayer121);
            rulePlayer();

            state._fsp--;

             after(grammarAccess.getPlayerRule()); 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRulePlayer128); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "entryRulePlayer"


    // $ANTLR start "rulePlayer"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:97:1: rulePlayer : ( ( rule__Player__Group__0 ) ) ;
    public final void rulePlayer() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:101:2: ( ( ( rule__Player__Group__0 ) ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:102:1: ( ( rule__Player__Group__0 ) )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:102:1: ( ( rule__Player__Group__0 ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:103:1: ( rule__Player__Group__0 )
            {
             before(grammarAccess.getPlayerAccess().getGroup()); 
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:104:1: ( rule__Player__Group__0 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:104:2: rule__Player__Group__0
            {
            pushFollow(FollowSets000.FOLLOW_rule__Player__Group__0_in_rulePlayer154);
            rule__Player__Group__0();

            state._fsp--;


            }

             after(grammarAccess.getPlayerAccess().getGroup()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rulePlayer"


    // $ANTLR start "rulePosition"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:117:1: rulePosition : ( ( rule__Position__Alternatives ) ) ;
    public final void rulePosition() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:121:1: ( ( ( rule__Position__Alternatives ) ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:122:1: ( ( rule__Position__Alternatives ) )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:122:1: ( ( rule__Position__Alternatives ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:123:1: ( rule__Position__Alternatives )
            {
             before(grammarAccess.getPositionAccess().getAlternatives()); 
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:124:1: ( rule__Position__Alternatives )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:124:2: rule__Position__Alternatives
            {
            pushFollow(FollowSets000.FOLLOW_rule__Position__Alternatives_in_rulePosition191);
            rule__Position__Alternatives();

            state._fsp--;


            }

             after(grammarAccess.getPositionAccess().getAlternatives()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rulePosition"


    // $ANTLR start "rule__Position__Alternatives"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:135:1: rule__Position__Alternatives : ( ( ( 'Goalkeeper' ) ) | ( ( 'Defender' ) ) | ( ( 'Striker' ) ) );
    public final void rule__Position__Alternatives() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:139:1: ( ( ( 'Goalkeeper' ) ) | ( ( 'Defender' ) ) | ( ( 'Striker' ) ) )
            int alt1=3;
            switch ( input.LA(1) ) {
            case 11:
                {
                alt1=1;
                }
                break;
            case 12:
                {
                alt1=2;
                }
                break;
            case 13:
                {
                alt1=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 1, 0, input);

                throw nvae;
            }

            switch (alt1) {
                case 1 :
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:140:1: ( ( 'Goalkeeper' ) )
                    {
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:140:1: ( ( 'Goalkeeper' ) )
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:141:1: ( 'Goalkeeper' )
                    {
                     before(grammarAccess.getPositionAccess().getGoalkeeperEnumLiteralDeclaration_0()); 
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:142:1: ( 'Goalkeeper' )
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:142:3: 'Goalkeeper'
                    {
                    match(input,11,FollowSets000.FOLLOW_11_in_rule__Position__Alternatives227); 

                    }

                     after(grammarAccess.getPositionAccess().getGoalkeeperEnumLiteralDeclaration_0()); 

                    }


                    }
                    break;
                case 2 :
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:147:6: ( ( 'Defender' ) )
                    {
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:147:6: ( ( 'Defender' ) )
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:148:1: ( 'Defender' )
                    {
                     before(grammarAccess.getPositionAccess().getDefenderEnumLiteralDeclaration_1()); 
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:149:1: ( 'Defender' )
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:149:3: 'Defender'
                    {
                    match(input,12,FollowSets000.FOLLOW_12_in_rule__Position__Alternatives248); 

                    }

                     after(grammarAccess.getPositionAccess().getDefenderEnumLiteralDeclaration_1()); 

                    }


                    }
                    break;
                case 3 :
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:154:6: ( ( 'Striker' ) )
                    {
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:154:6: ( ( 'Striker' ) )
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:155:1: ( 'Striker' )
                    {
                     before(grammarAccess.getPositionAccess().getStrikerEnumLiteralDeclaration_2()); 
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:156:1: ( 'Striker' )
                    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:156:3: 'Striker'
                    {
                    match(input,13,FollowSets000.FOLLOW_13_in_rule__Position__Alternatives269); 

                    }

                     after(grammarAccess.getPositionAccess().getStrikerEnumLiteralDeclaration_2()); 

                    }


                    }
                    break;

            }
        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Position__Alternatives"


    // $ANTLR start "rule__SoccerTeam__Group__0"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:168:1: rule__SoccerTeam__Group__0 : rule__SoccerTeam__Group__0__Impl rule__SoccerTeam__Group__1 ;
    public final void rule__SoccerTeam__Group__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:172:1: ( rule__SoccerTeam__Group__0__Impl rule__SoccerTeam__Group__1 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:173:2: rule__SoccerTeam__Group__0__Impl rule__SoccerTeam__Group__1
            {
            pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__Group__0__Impl_in_rule__SoccerTeam__Group__0302);
            rule__SoccerTeam__Group__0__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__Group__1_in_rule__SoccerTeam__Group__0305);
            rule__SoccerTeam__Group__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__Group__0"


    // $ANTLR start "rule__SoccerTeam__Group__0__Impl"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:180:1: rule__SoccerTeam__Group__0__Impl : ( 'soccer team' ) ;
    public final void rule__SoccerTeam__Group__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:184:1: ( ( 'soccer team' ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:185:1: ( 'soccer team' )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:185:1: ( 'soccer team' )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:186:1: 'soccer team'
            {
             before(grammarAccess.getSoccerTeamAccess().getSoccerTeamKeyword_0()); 
            match(input,14,FollowSets000.FOLLOW_14_in_rule__SoccerTeam__Group__0__Impl333); 
             after(grammarAccess.getSoccerTeamAccess().getSoccerTeamKeyword_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__Group__0__Impl"


    // $ANTLR start "rule__SoccerTeam__Group__1"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:199:1: rule__SoccerTeam__Group__1 : rule__SoccerTeam__Group__1__Impl rule__SoccerTeam__Group__2 ;
    public final void rule__SoccerTeam__Group__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:203:1: ( rule__SoccerTeam__Group__1__Impl rule__SoccerTeam__Group__2 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:204:2: rule__SoccerTeam__Group__1__Impl rule__SoccerTeam__Group__2
            {
            pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__Group__1__Impl_in_rule__SoccerTeam__Group__1364);
            rule__SoccerTeam__Group__1__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__Group__2_in_rule__SoccerTeam__Group__1367);
            rule__SoccerTeam__Group__2();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__Group__1"


    // $ANTLR start "rule__SoccerTeam__Group__1__Impl"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:211:1: rule__SoccerTeam__Group__1__Impl : ( ( rule__SoccerTeam__NameAssignment_1 ) ) ;
    public final void rule__SoccerTeam__Group__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:215:1: ( ( ( rule__SoccerTeam__NameAssignment_1 ) ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:216:1: ( ( rule__SoccerTeam__NameAssignment_1 ) )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:216:1: ( ( rule__SoccerTeam__NameAssignment_1 ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:217:1: ( rule__SoccerTeam__NameAssignment_1 )
            {
             before(grammarAccess.getSoccerTeamAccess().getNameAssignment_1()); 
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:218:1: ( rule__SoccerTeam__NameAssignment_1 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:218:2: rule__SoccerTeam__NameAssignment_1
            {
            pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__NameAssignment_1_in_rule__SoccerTeam__Group__1__Impl394);
            rule__SoccerTeam__NameAssignment_1();

            state._fsp--;


            }

             after(grammarAccess.getSoccerTeamAccess().getNameAssignment_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__Group__1__Impl"


    // $ANTLR start "rule__SoccerTeam__Group__2"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:228:1: rule__SoccerTeam__Group__2 : rule__SoccerTeam__Group__2__Impl rule__SoccerTeam__Group__3 ;
    public final void rule__SoccerTeam__Group__2() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:232:1: ( rule__SoccerTeam__Group__2__Impl rule__SoccerTeam__Group__3 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:233:2: rule__SoccerTeam__Group__2__Impl rule__SoccerTeam__Group__3
            {
            pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__Group__2__Impl_in_rule__SoccerTeam__Group__2424);
            rule__SoccerTeam__Group__2__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__Group__3_in_rule__SoccerTeam__Group__2427);
            rule__SoccerTeam__Group__3();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__Group__2"


    // $ANTLR start "rule__SoccerTeam__Group__2__Impl"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:240:1: rule__SoccerTeam__Group__2__Impl : ( '{' ) ;
    public final void rule__SoccerTeam__Group__2__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:244:1: ( ( '{' ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:245:1: ( '{' )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:245:1: ( '{' )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:246:1: '{'
            {
             before(grammarAccess.getSoccerTeamAccess().getLeftCurlyBracketKeyword_2()); 
            match(input,15,FollowSets000.FOLLOW_15_in_rule__SoccerTeam__Group__2__Impl455); 
             after(grammarAccess.getSoccerTeamAccess().getLeftCurlyBracketKeyword_2()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__Group__2__Impl"


    // $ANTLR start "rule__SoccerTeam__Group__3"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:259:1: rule__SoccerTeam__Group__3 : rule__SoccerTeam__Group__3__Impl rule__SoccerTeam__Group__4 ;
    public final void rule__SoccerTeam__Group__3() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:263:1: ( rule__SoccerTeam__Group__3__Impl rule__SoccerTeam__Group__4 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:264:2: rule__SoccerTeam__Group__3__Impl rule__SoccerTeam__Group__4
            {
            pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__Group__3__Impl_in_rule__SoccerTeam__Group__3486);
            rule__SoccerTeam__Group__3__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__Group__4_in_rule__SoccerTeam__Group__3489);
            rule__SoccerTeam__Group__4();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__Group__3"


    // $ANTLR start "rule__SoccerTeam__Group__3__Impl"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:271:1: rule__SoccerTeam__Group__3__Impl : ( ( rule__SoccerTeam__PlayersAssignment_3 )* ) ;
    public final void rule__SoccerTeam__Group__3__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:275:1: ( ( ( rule__SoccerTeam__PlayersAssignment_3 )* ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:276:1: ( ( rule__SoccerTeam__PlayersAssignment_3 )* )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:276:1: ( ( rule__SoccerTeam__PlayersAssignment_3 )* )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:277:1: ( rule__SoccerTeam__PlayersAssignment_3 )*
            {
             before(grammarAccess.getSoccerTeamAccess().getPlayersAssignment_3()); 
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:278:1: ( rule__SoccerTeam__PlayersAssignment_3 )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( (LA2_0==17) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:278:2: rule__SoccerTeam__PlayersAssignment_3
            	    {
            	    pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__PlayersAssignment_3_in_rule__SoccerTeam__Group__3__Impl516);
            	    rule__SoccerTeam__PlayersAssignment_3();

            	    state._fsp--;


            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);

             after(grammarAccess.getSoccerTeamAccess().getPlayersAssignment_3()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__Group__3__Impl"


    // $ANTLR start "rule__SoccerTeam__Group__4"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:288:1: rule__SoccerTeam__Group__4 : rule__SoccerTeam__Group__4__Impl ;
    public final void rule__SoccerTeam__Group__4() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:292:1: ( rule__SoccerTeam__Group__4__Impl )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:293:2: rule__SoccerTeam__Group__4__Impl
            {
            pushFollow(FollowSets000.FOLLOW_rule__SoccerTeam__Group__4__Impl_in_rule__SoccerTeam__Group__4547);
            rule__SoccerTeam__Group__4__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__Group__4"


    // $ANTLR start "rule__SoccerTeam__Group__4__Impl"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:299:1: rule__SoccerTeam__Group__4__Impl : ( '}' ) ;
    public final void rule__SoccerTeam__Group__4__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:303:1: ( ( '}' ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:304:1: ( '}' )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:304:1: ( '}' )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:305:1: '}'
            {
             before(grammarAccess.getSoccerTeamAccess().getRightCurlyBracketKeyword_4()); 
            match(input,16,FollowSets000.FOLLOW_16_in_rule__SoccerTeam__Group__4__Impl575); 
             after(grammarAccess.getSoccerTeamAccess().getRightCurlyBracketKeyword_4()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__Group__4__Impl"


    // $ANTLR start "rule__Player__Group__0"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:328:1: rule__Player__Group__0 : rule__Player__Group__0__Impl rule__Player__Group__1 ;
    public final void rule__Player__Group__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:332:1: ( rule__Player__Group__0__Impl rule__Player__Group__1 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:333:2: rule__Player__Group__0__Impl rule__Player__Group__1
            {
            pushFollow(FollowSets000.FOLLOW_rule__Player__Group__0__Impl_in_rule__Player__Group__0616);
            rule__Player__Group__0__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Player__Group__1_in_rule__Player__Group__0619);
            rule__Player__Group__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__Group__0"


    // $ANTLR start "rule__Player__Group__0__Impl"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:340:1: rule__Player__Group__0__Impl : ( 'player' ) ;
    public final void rule__Player__Group__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:344:1: ( ( 'player' ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:345:1: ( 'player' )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:345:1: ( 'player' )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:346:1: 'player'
            {
             before(grammarAccess.getPlayerAccess().getPlayerKeyword_0()); 
            match(input,17,FollowSets000.FOLLOW_17_in_rule__Player__Group__0__Impl647); 
             after(grammarAccess.getPlayerAccess().getPlayerKeyword_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__Group__0__Impl"


    // $ANTLR start "rule__Player__Group__1"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:359:1: rule__Player__Group__1 : rule__Player__Group__1__Impl rule__Player__Group__2 ;
    public final void rule__Player__Group__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:363:1: ( rule__Player__Group__1__Impl rule__Player__Group__2 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:364:2: rule__Player__Group__1__Impl rule__Player__Group__2
            {
            pushFollow(FollowSets000.FOLLOW_rule__Player__Group__1__Impl_in_rule__Player__Group__1678);
            rule__Player__Group__1__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Player__Group__2_in_rule__Player__Group__1681);
            rule__Player__Group__2();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__Group__1"


    // $ANTLR start "rule__Player__Group__1__Impl"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:371:1: rule__Player__Group__1__Impl : ( ( rule__Player__NameAssignment_1 ) ) ;
    public final void rule__Player__Group__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:375:1: ( ( ( rule__Player__NameAssignment_1 ) ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:376:1: ( ( rule__Player__NameAssignment_1 ) )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:376:1: ( ( rule__Player__NameAssignment_1 ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:377:1: ( rule__Player__NameAssignment_1 )
            {
             before(grammarAccess.getPlayerAccess().getNameAssignment_1()); 
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:378:1: ( rule__Player__NameAssignment_1 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:378:2: rule__Player__NameAssignment_1
            {
            pushFollow(FollowSets000.FOLLOW_rule__Player__NameAssignment_1_in_rule__Player__Group__1__Impl708);
            rule__Player__NameAssignment_1();

            state._fsp--;


            }

             after(grammarAccess.getPlayerAccess().getNameAssignment_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__Group__1__Impl"


    // $ANTLR start "rule__Player__Group__2"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:388:1: rule__Player__Group__2 : rule__Player__Group__2__Impl rule__Player__Group__3 ;
    public final void rule__Player__Group__2() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:392:1: ( rule__Player__Group__2__Impl rule__Player__Group__3 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:393:2: rule__Player__Group__2__Impl rule__Player__Group__3
            {
            pushFollow(FollowSets000.FOLLOW_rule__Player__Group__2__Impl_in_rule__Player__Group__2738);
            rule__Player__Group__2__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Player__Group__3_in_rule__Player__Group__2741);
            rule__Player__Group__3();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__Group__2"


    // $ANTLR start "rule__Player__Group__2__Impl"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:400:1: rule__Player__Group__2__Impl : ( ':' ) ;
    public final void rule__Player__Group__2__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:404:1: ( ( ':' ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:405:1: ( ':' )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:405:1: ( ':' )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:406:1: ':'
            {
             before(grammarAccess.getPlayerAccess().getColonKeyword_2()); 
            match(input,18,FollowSets000.FOLLOW_18_in_rule__Player__Group__2__Impl769); 
             after(grammarAccess.getPlayerAccess().getColonKeyword_2()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__Group__2__Impl"


    // $ANTLR start "rule__Player__Group__3"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:419:1: rule__Player__Group__3 : rule__Player__Group__3__Impl rule__Player__Group__4 ;
    public final void rule__Player__Group__3() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:423:1: ( rule__Player__Group__3__Impl rule__Player__Group__4 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:424:2: rule__Player__Group__3__Impl rule__Player__Group__4
            {
            pushFollow(FollowSets000.FOLLOW_rule__Player__Group__3__Impl_in_rule__Player__Group__3800);
            rule__Player__Group__3__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Player__Group__4_in_rule__Player__Group__3803);
            rule__Player__Group__4();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__Group__3"


    // $ANTLR start "rule__Player__Group__3__Impl"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:431:1: rule__Player__Group__3__Impl : ( ( rule__Player__PositionAssignment_3 ) ) ;
    public final void rule__Player__Group__3__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:435:1: ( ( ( rule__Player__PositionAssignment_3 ) ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:436:1: ( ( rule__Player__PositionAssignment_3 ) )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:436:1: ( ( rule__Player__PositionAssignment_3 ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:437:1: ( rule__Player__PositionAssignment_3 )
            {
             before(grammarAccess.getPlayerAccess().getPositionAssignment_3()); 
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:438:1: ( rule__Player__PositionAssignment_3 )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:438:2: rule__Player__PositionAssignment_3
            {
            pushFollow(FollowSets000.FOLLOW_rule__Player__PositionAssignment_3_in_rule__Player__Group__3__Impl830);
            rule__Player__PositionAssignment_3();

            state._fsp--;


            }

             after(grammarAccess.getPlayerAccess().getPositionAssignment_3()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__Group__3__Impl"


    // $ANTLR start "rule__Player__Group__4"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:448:1: rule__Player__Group__4 : rule__Player__Group__4__Impl ;
    public final void rule__Player__Group__4() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:452:1: ( rule__Player__Group__4__Impl )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:453:2: rule__Player__Group__4__Impl
            {
            pushFollow(FollowSets000.FOLLOW_rule__Player__Group__4__Impl_in_rule__Player__Group__4860);
            rule__Player__Group__4__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__Group__4"


    // $ANTLR start "rule__Player__Group__4__Impl"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:459:1: rule__Player__Group__4__Impl : ( ';' ) ;
    public final void rule__Player__Group__4__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:463:1: ( ( ';' ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:464:1: ( ';' )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:464:1: ( ';' )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:465:1: ';'
            {
             before(grammarAccess.getPlayerAccess().getSemicolonKeyword_4()); 
            match(input,19,FollowSets000.FOLLOW_19_in_rule__Player__Group__4__Impl888); 
             after(grammarAccess.getPlayerAccess().getSemicolonKeyword_4()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__Group__4__Impl"


    // $ANTLR start "rule__SoccerTeam__NameAssignment_1"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:489:1: rule__SoccerTeam__NameAssignment_1 : ( RULE_ID ) ;
    public final void rule__SoccerTeam__NameAssignment_1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:493:1: ( ( RULE_ID ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:494:1: ( RULE_ID )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:494:1: ( RULE_ID )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:495:1: RULE_ID
            {
             before(grammarAccess.getSoccerTeamAccess().getNameIDTerminalRuleCall_1_0()); 
            match(input,RULE_ID,FollowSets000.FOLLOW_RULE_ID_in_rule__SoccerTeam__NameAssignment_1934); 
             after(grammarAccess.getSoccerTeamAccess().getNameIDTerminalRuleCall_1_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__NameAssignment_1"


    // $ANTLR start "rule__SoccerTeam__PlayersAssignment_3"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:504:1: rule__SoccerTeam__PlayersAssignment_3 : ( rulePlayer ) ;
    public final void rule__SoccerTeam__PlayersAssignment_3() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:508:1: ( ( rulePlayer ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:509:1: ( rulePlayer )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:509:1: ( rulePlayer )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:510:1: rulePlayer
            {
             before(grammarAccess.getSoccerTeamAccess().getPlayersPlayerParserRuleCall_3_0()); 
            pushFollow(FollowSets000.FOLLOW_rulePlayer_in_rule__SoccerTeam__PlayersAssignment_3965);
            rulePlayer();

            state._fsp--;

             after(grammarAccess.getSoccerTeamAccess().getPlayersPlayerParserRuleCall_3_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__SoccerTeam__PlayersAssignment_3"


    // $ANTLR start "rule__Player__NameAssignment_1"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:519:1: rule__Player__NameAssignment_1 : ( RULE_ID ) ;
    public final void rule__Player__NameAssignment_1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:523:1: ( ( RULE_ID ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:524:1: ( RULE_ID )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:524:1: ( RULE_ID )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:525:1: RULE_ID
            {
             before(grammarAccess.getPlayerAccess().getNameIDTerminalRuleCall_1_0()); 
            match(input,RULE_ID,FollowSets000.FOLLOW_RULE_ID_in_rule__Player__NameAssignment_1996); 
             after(grammarAccess.getPlayerAccess().getNameIDTerminalRuleCall_1_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__NameAssignment_1"


    // $ANTLR start "rule__Player__PositionAssignment_3"
    // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:534:1: rule__Player__PositionAssignment_3 : ( rulePosition ) ;
    public final void rule__Player__PositionAssignment_3() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:538:1: ( ( rulePosition ) )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:539:1: ( rulePosition )
            {
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:539:1: ( rulePosition )
            // ../soccer.language.ui/src-gen/soccer/ui/contentassist/antlr/internal/InternalDSL.g:540:1: rulePosition
            {
             before(grammarAccess.getPlayerAccess().getPositionPositionEnumRuleCall_3_0()); 
            pushFollow(FollowSets000.FOLLOW_rulePosition_in_rule__Player__PositionAssignment_31027);
            rulePosition();

            state._fsp--;

             after(grammarAccess.getPlayerAccess().getPositionPositionEnumRuleCall_3_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Player__PositionAssignment_3"

    // Delegated rules


 

    
    private static class FollowSets000 {
        public static final BitSet FOLLOW_ruleSoccerTeam_in_entryRuleSoccerTeam61 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleSoccerTeam68 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__SoccerTeam__Group__0_in_ruleSoccerTeam94 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rulePlayer_in_entryRulePlayer121 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRulePlayer128 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Player__Group__0_in_rulePlayer154 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Position__Alternatives_in_rulePosition191 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_11_in_rule__Position__Alternatives227 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_12_in_rule__Position__Alternatives248 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_13_in_rule__Position__Alternatives269 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__SoccerTeam__Group__0__Impl_in_rule__SoccerTeam__Group__0302 = new BitSet(new long[]{0x0000000000000010L});
        public static final BitSet FOLLOW_rule__SoccerTeam__Group__1_in_rule__SoccerTeam__Group__0305 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_14_in_rule__SoccerTeam__Group__0__Impl333 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__SoccerTeam__Group__1__Impl_in_rule__SoccerTeam__Group__1364 = new BitSet(new long[]{0x0000000000008000L});
        public static final BitSet FOLLOW_rule__SoccerTeam__Group__2_in_rule__SoccerTeam__Group__1367 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__SoccerTeam__NameAssignment_1_in_rule__SoccerTeam__Group__1__Impl394 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__SoccerTeam__Group__2__Impl_in_rule__SoccerTeam__Group__2424 = new BitSet(new long[]{0x0000000000030000L});
        public static final BitSet FOLLOW_rule__SoccerTeam__Group__3_in_rule__SoccerTeam__Group__2427 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_15_in_rule__SoccerTeam__Group__2__Impl455 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__SoccerTeam__Group__3__Impl_in_rule__SoccerTeam__Group__3486 = new BitSet(new long[]{0x0000000000030000L});
        public static final BitSet FOLLOW_rule__SoccerTeam__Group__4_in_rule__SoccerTeam__Group__3489 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__SoccerTeam__PlayersAssignment_3_in_rule__SoccerTeam__Group__3__Impl516 = new BitSet(new long[]{0x0000000000020002L});
        public static final BitSet FOLLOW_rule__SoccerTeam__Group__4__Impl_in_rule__SoccerTeam__Group__4547 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_16_in_rule__SoccerTeam__Group__4__Impl575 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Player__Group__0__Impl_in_rule__Player__Group__0616 = new BitSet(new long[]{0x0000000000000010L});
        public static final BitSet FOLLOW_rule__Player__Group__1_in_rule__Player__Group__0619 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_17_in_rule__Player__Group__0__Impl647 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Player__Group__1__Impl_in_rule__Player__Group__1678 = new BitSet(new long[]{0x0000000000040000L});
        public static final BitSet FOLLOW_rule__Player__Group__2_in_rule__Player__Group__1681 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Player__NameAssignment_1_in_rule__Player__Group__1__Impl708 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Player__Group__2__Impl_in_rule__Player__Group__2738 = new BitSet(new long[]{0x0000000000003800L});
        public static final BitSet FOLLOW_rule__Player__Group__3_in_rule__Player__Group__2741 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_18_in_rule__Player__Group__2__Impl769 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Player__Group__3__Impl_in_rule__Player__Group__3800 = new BitSet(new long[]{0x0000000000080000L});
        public static final BitSet FOLLOW_rule__Player__Group__4_in_rule__Player__Group__3803 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Player__PositionAssignment_3_in_rule__Player__Group__3__Impl830 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Player__Group__4__Impl_in_rule__Player__Group__4860 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_19_in_rule__Player__Group__4__Impl888 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_RULE_ID_in_rule__SoccerTeam__NameAssignment_1934 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rulePlayer_in_rule__SoccerTeam__PlayersAssignment_3965 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_RULE_ID_in_rule__Player__NameAssignment_1996 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rulePosition_in_rule__Player__PositionAssignment_31027 = new BitSet(new long[]{0x0000000000000002L});
    }


}