package soccer.parser.antlr.internal; 

import org.eclipse.xtext.*;
import org.eclipse.xtext.parser.*;
import org.eclipse.xtext.parser.impl.*;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.common.util.Enumerator;
import org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.eclipse.xtext.parser.antlr.XtextTokenStream.HiddenTokens;
import org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken;
import soccer.services.DSLGrammarAccess;



import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class InternalDSLParser extends AbstractInternalAntlrParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "RULE_ID", "RULE_INT", "RULE_STRING", "RULE_ML_COMMENT", "RULE_SL_COMMENT", "RULE_WS", "RULE_ANY_OTHER", "'soccer team'", "'{'", "'}'", "'player'", "':'", "';'", "'Goalkeeper'", "'Defender'", "'Striker'"
    };
    public static final int RULE_STRING=6;
    public static final int RULE_SL_COMMENT=8;
    public static final int T__19=19;
    public static final int T__15=15;
    public static final int T__16=16;
    public static final int T__17=17;
    public static final int T__18=18;
    public static final int T__11=11;
    public static final int T__12=12;
    public static final int T__13=13;
    public static final int T__14=14;
    public static final int EOF=-1;
    public static final int RULE_ID=4;
    public static final int RULE_WS=9;
    public static final int RULE_ANY_OTHER=10;
    public static final int RULE_INT=5;
    public static final int RULE_ML_COMMENT=7;

    // delegates
    // delegators


        public InternalDSLParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public InternalDSLParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return InternalDSLParser.tokenNames; }
    public String getGrammarFileName() { return "../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g"; }



     	private DSLGrammarAccess grammarAccess;
     	
        public InternalDSLParser(TokenStream input, DSLGrammarAccess grammarAccess) {
            this(input);
            this.grammarAccess = grammarAccess;
            registerRules(grammarAccess.getGrammar());
        }
        
        @Override
        protected String getFirstRuleName() {
        	return "SoccerTeam";	
       	}
       	
       	@Override
       	protected DSLGrammarAccess getGrammarAccess() {
       		return grammarAccess;
       	}



    // $ANTLR start "entryRuleSoccerTeam"
    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:68:1: entryRuleSoccerTeam returns [EObject current=null] : iv_ruleSoccerTeam= ruleSoccerTeam EOF ;
    public final EObject entryRuleSoccerTeam() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleSoccerTeam = null;


        try {
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:69:2: (iv_ruleSoccerTeam= ruleSoccerTeam EOF )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:70:2: iv_ruleSoccerTeam= ruleSoccerTeam EOF
            {
             newCompositeNode(grammarAccess.getSoccerTeamRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleSoccerTeam_in_entryRuleSoccerTeam75);
            iv_ruleSoccerTeam=ruleSoccerTeam();

            state._fsp--;

             current =iv_ruleSoccerTeam; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleSoccerTeam85); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleSoccerTeam"


    // $ANTLR start "ruleSoccerTeam"
    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:77:1: ruleSoccerTeam returns [EObject current=null] : (otherlv_0= 'soccer team' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= '{' ( (lv_players_3_0= rulePlayer ) )* otherlv_4= '}' ) ;
    public final EObject ruleSoccerTeam() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token lv_name_1_0=null;
        Token otherlv_2=null;
        Token otherlv_4=null;
        EObject lv_players_3_0 = null;


         enterRule(); 
            
        try {
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:80:28: ( (otherlv_0= 'soccer team' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= '{' ( (lv_players_3_0= rulePlayer ) )* otherlv_4= '}' ) )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:81:1: (otherlv_0= 'soccer team' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= '{' ( (lv_players_3_0= rulePlayer ) )* otherlv_4= '}' )
            {
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:81:1: (otherlv_0= 'soccer team' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= '{' ( (lv_players_3_0= rulePlayer ) )* otherlv_4= '}' )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:81:3: otherlv_0= 'soccer team' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= '{' ( (lv_players_3_0= rulePlayer ) )* otherlv_4= '}'
            {
            otherlv_0=(Token)match(input,11,FollowSets000.FOLLOW_11_in_ruleSoccerTeam122); 

                	newLeafNode(otherlv_0, grammarAccess.getSoccerTeamAccess().getSoccerTeamKeyword_0());
                
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:85:1: ( (lv_name_1_0= RULE_ID ) )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:86:1: (lv_name_1_0= RULE_ID )
            {
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:86:1: (lv_name_1_0= RULE_ID )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:87:3: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FollowSets000.FOLLOW_RULE_ID_in_ruleSoccerTeam139); 

            			newLeafNode(lv_name_1_0, grammarAccess.getSoccerTeamAccess().getNameIDTerminalRuleCall_1_0()); 
            		

            	        if (current==null) {
            	            current = createModelElement(grammarAccess.getSoccerTeamRule());
            	        }
                   		setWithLastConsumed(
                   			current, 
                   			"name",
                    		lv_name_1_0, 
                    		"ID");
            	    

            }


            }

            otherlv_2=(Token)match(input,12,FollowSets000.FOLLOW_12_in_ruleSoccerTeam156); 

                	newLeafNode(otherlv_2, grammarAccess.getSoccerTeamAccess().getLeftCurlyBracketKeyword_2());
                
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:107:1: ( (lv_players_3_0= rulePlayer ) )*
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==14) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:108:1: (lv_players_3_0= rulePlayer )
            	    {
            	    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:108:1: (lv_players_3_0= rulePlayer )
            	    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:109:3: lv_players_3_0= rulePlayer
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getSoccerTeamAccess().getPlayersPlayerParserRuleCall_3_0()); 
            	    	    
            	    pushFollow(FollowSets000.FOLLOW_rulePlayer_in_ruleSoccerTeam177);
            	    lv_players_3_0=rulePlayer();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getSoccerTeamRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"players",
            	            		lv_players_3_0, 
            	            		"Player");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);

            otherlv_4=(Token)match(input,13,FollowSets000.FOLLOW_13_in_ruleSoccerTeam190); 

                	newLeafNode(otherlv_4, grammarAccess.getSoccerTeamAccess().getRightCurlyBracketKeyword_4());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleSoccerTeam"


    // $ANTLR start "entryRulePlayer"
    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:137:1: entryRulePlayer returns [EObject current=null] : iv_rulePlayer= rulePlayer EOF ;
    public final EObject entryRulePlayer() throws RecognitionException {
        EObject current = null;

        EObject iv_rulePlayer = null;


        try {
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:138:2: (iv_rulePlayer= rulePlayer EOF )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:139:2: iv_rulePlayer= rulePlayer EOF
            {
             newCompositeNode(grammarAccess.getPlayerRule()); 
            pushFollow(FollowSets000.FOLLOW_rulePlayer_in_entryRulePlayer226);
            iv_rulePlayer=rulePlayer();

            state._fsp--;

             current =iv_rulePlayer; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRulePlayer236); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRulePlayer"


    // $ANTLR start "rulePlayer"
    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:146:1: rulePlayer returns [EObject current=null] : (otherlv_0= 'player' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ':' ( (lv_position_3_0= rulePosition ) ) otherlv_4= ';' ) ;
    public final EObject rulePlayer() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token lv_name_1_0=null;
        Token otherlv_2=null;
        Token otherlv_4=null;
        Enumerator lv_position_3_0 = null;


         enterRule(); 
            
        try {
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:149:28: ( (otherlv_0= 'player' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ':' ( (lv_position_3_0= rulePosition ) ) otherlv_4= ';' ) )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:150:1: (otherlv_0= 'player' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ':' ( (lv_position_3_0= rulePosition ) ) otherlv_4= ';' )
            {
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:150:1: (otherlv_0= 'player' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ':' ( (lv_position_3_0= rulePosition ) ) otherlv_4= ';' )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:150:3: otherlv_0= 'player' ( (lv_name_1_0= RULE_ID ) ) otherlv_2= ':' ( (lv_position_3_0= rulePosition ) ) otherlv_4= ';'
            {
            otherlv_0=(Token)match(input,14,FollowSets000.FOLLOW_14_in_rulePlayer273); 

                	newLeafNode(otherlv_0, grammarAccess.getPlayerAccess().getPlayerKeyword_0());
                
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:154:1: ( (lv_name_1_0= RULE_ID ) )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:155:1: (lv_name_1_0= RULE_ID )
            {
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:155:1: (lv_name_1_0= RULE_ID )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:156:3: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FollowSets000.FOLLOW_RULE_ID_in_rulePlayer290); 

            			newLeafNode(lv_name_1_0, grammarAccess.getPlayerAccess().getNameIDTerminalRuleCall_1_0()); 
            		

            	        if (current==null) {
            	            current = createModelElement(grammarAccess.getPlayerRule());
            	        }
                   		setWithLastConsumed(
                   			current, 
                   			"name",
                    		lv_name_1_0, 
                    		"ID");
            	    

            }


            }

            otherlv_2=(Token)match(input,15,FollowSets000.FOLLOW_15_in_rulePlayer307); 

                	newLeafNode(otherlv_2, grammarAccess.getPlayerAccess().getColonKeyword_2());
                
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:176:1: ( (lv_position_3_0= rulePosition ) )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:177:1: (lv_position_3_0= rulePosition )
            {
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:177:1: (lv_position_3_0= rulePosition )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:178:3: lv_position_3_0= rulePosition
            {
             
            	        newCompositeNode(grammarAccess.getPlayerAccess().getPositionPositionEnumRuleCall_3_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_rulePosition_in_rulePlayer328);
            lv_position_3_0=rulePosition();

            state._fsp--;


            	        if (current==null) {
            	            current = createModelElementForParent(grammarAccess.getPlayerRule());
            	        }
                   		set(
                   			current, 
                   			"position",
                    		lv_position_3_0, 
                    		"Position");
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_4=(Token)match(input,16,FollowSets000.FOLLOW_16_in_rulePlayer340); 

                	newLeafNode(otherlv_4, grammarAccess.getPlayerAccess().getSemicolonKeyword_4());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "rulePlayer"


    // $ANTLR start "rulePosition"
    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:206:1: rulePosition returns [Enumerator current=null] : ( (enumLiteral_0= 'Goalkeeper' ) | (enumLiteral_1= 'Defender' ) | (enumLiteral_2= 'Striker' ) ) ;
    public final Enumerator rulePosition() throws RecognitionException {
        Enumerator current = null;

        Token enumLiteral_0=null;
        Token enumLiteral_1=null;
        Token enumLiteral_2=null;

         enterRule(); 
        try {
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:208:28: ( ( (enumLiteral_0= 'Goalkeeper' ) | (enumLiteral_1= 'Defender' ) | (enumLiteral_2= 'Striker' ) ) )
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:209:1: ( (enumLiteral_0= 'Goalkeeper' ) | (enumLiteral_1= 'Defender' ) | (enumLiteral_2= 'Striker' ) )
            {
            // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:209:1: ( (enumLiteral_0= 'Goalkeeper' ) | (enumLiteral_1= 'Defender' ) | (enumLiteral_2= 'Striker' ) )
            int alt2=3;
            switch ( input.LA(1) ) {
            case 17:
                {
                alt2=1;
                }
                break;
            case 18:
                {
                alt2=2;
                }
                break;
            case 19:
                {
                alt2=3;
                }
                break;
            default:
                NoViableAltException nvae =
                    new NoViableAltException("", 2, 0, input);

                throw nvae;
            }

            switch (alt2) {
                case 1 :
                    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:209:2: (enumLiteral_0= 'Goalkeeper' )
                    {
                    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:209:2: (enumLiteral_0= 'Goalkeeper' )
                    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:209:4: enumLiteral_0= 'Goalkeeper'
                    {
                    enumLiteral_0=(Token)match(input,17,FollowSets000.FOLLOW_17_in_rulePosition390); 

                            current = grammarAccess.getPositionAccess().getGoalkeeperEnumLiteralDeclaration_0().getEnumLiteral().getInstance();
                            newLeafNode(enumLiteral_0, grammarAccess.getPositionAccess().getGoalkeeperEnumLiteralDeclaration_0()); 
                        

                    }


                    }
                    break;
                case 2 :
                    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:215:6: (enumLiteral_1= 'Defender' )
                    {
                    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:215:6: (enumLiteral_1= 'Defender' )
                    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:215:8: enumLiteral_1= 'Defender'
                    {
                    enumLiteral_1=(Token)match(input,18,FollowSets000.FOLLOW_18_in_rulePosition407); 

                            current = grammarAccess.getPositionAccess().getDefenderEnumLiteralDeclaration_1().getEnumLiteral().getInstance();
                            newLeafNode(enumLiteral_1, grammarAccess.getPositionAccess().getDefenderEnumLiteralDeclaration_1()); 
                        

                    }


                    }
                    break;
                case 3 :
                    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:221:6: (enumLiteral_2= 'Striker' )
                    {
                    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:221:6: (enumLiteral_2= 'Striker' )
                    // ../soccer.language/src-gen/soccer/parser/antlr/internal/InternalDSL.g:221:8: enumLiteral_2= 'Striker'
                    {
                    enumLiteral_2=(Token)match(input,19,FollowSets000.FOLLOW_19_in_rulePosition424); 

                            current = grammarAccess.getPositionAccess().getStrikerEnumLiteralDeclaration_2().getEnumLiteral().getInstance();
                            newLeafNode(enumLiteral_2, grammarAccess.getPositionAccess().getStrikerEnumLiteralDeclaration_2()); 
                        

                    }


                    }
                    break;

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "rulePosition"

    // Delegated rules


 

    
    private static class FollowSets000 {
        public static final BitSet FOLLOW_ruleSoccerTeam_in_entryRuleSoccerTeam75 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleSoccerTeam85 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_11_in_ruleSoccerTeam122 = new BitSet(new long[]{0x0000000000000010L});
        public static final BitSet FOLLOW_RULE_ID_in_ruleSoccerTeam139 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_12_in_ruleSoccerTeam156 = new BitSet(new long[]{0x0000000000006000L});
        public static final BitSet FOLLOW_rulePlayer_in_ruleSoccerTeam177 = new BitSet(new long[]{0x0000000000006000L});
        public static final BitSet FOLLOW_13_in_ruleSoccerTeam190 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rulePlayer_in_entryRulePlayer226 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRulePlayer236 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_14_in_rulePlayer273 = new BitSet(new long[]{0x0000000000000010L});
        public static final BitSet FOLLOW_RULE_ID_in_rulePlayer290 = new BitSet(new long[]{0x0000000000008000L});
        public static final BitSet FOLLOW_15_in_rulePlayer307 = new BitSet(new long[]{0x00000000000E0000L});
        public static final BitSet FOLLOW_rulePosition_in_rulePlayer328 = new BitSet(new long[]{0x0000000000010000L});
        public static final BitSet FOLLOW_16_in_rulePlayer340 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_17_in_rulePosition390 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_18_in_rulePosition407 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_19_in_rulePosition424 = new BitSet(new long[]{0x0000000000000002L});
    }


}